/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// noinspection JSUnusedGlobalSymbols
// Generated by unplugin-auto-import
// biome-ignore lint: disable
export {}
declare global {
  const Dynamic: typeof import('solid-js/web')['Dynamic']
  const ErrorBoundary: typeof import('solid-js')['ErrorBoundary']
  const For: typeof import('solid-js')['For']
  const IconTabler123: typeof import('~icons/tabler/123.jsx')['default']
  const IconTabler3dCubeSphere: typeof import('~icons/tabler/3d-cube-sphere.jsx')['default']
  const IconTablerAdjustments: typeof import('~icons/tabler/adjustments.jsx')['default']
  const IconTablerAdjustmentsHorizontal: typeof import('~icons/tabler/adjustments-horizontal.jsx')['default']
  const IconTablerAnalyze: typeof import('~icons/tabler/analyze.jsx')['default']
  const IconTablerArrowAutofitRight: typeof import('~icons/tabler/arrow-autofit-right.jsx')['default']
  const IconTablerArrowBack: typeof import('~icons/tabler/arrow-back.jsx')['default']
  const IconTablerArrowBarToDown: typeof import('~icons/tabler/arrow-bar-to-down.jsx')['default']
  const IconTablerArrowBarToUp: typeof import('~icons/tabler/arrow-bar-to-up.jsx')['default']
  const IconTablerArrowBarUp: typeof import('~icons/tabler/arrow-bar-up.jsx')['default']
  const IconTablerArrowNarrowRight: typeof import('~icons/tabler/arrow-narrow-right.jsx')['default']
  const IconTablerArrowsMaximize: typeof import('~icons/tabler/arrows-maximize.jsx')['default']
  const IconTablerArrowsMinimize: typeof import('~icons/tabler/arrows-minimize.jsx')['default']
  const IconTablerBrandGitlab: typeof import('~icons/tabler/brand-gitlab.jsx')['default']
  const IconTablerCalendar: typeof import('~icons/tabler/calendar.jsx')['default']
  const IconTablerCamera: typeof import('~icons/tabler/camera.jsx')['default']
  const IconTablerCameraCancel: typeof import('~icons/tabler/camera-cancel.jsx')['default']
  const IconTablerCameraCheck: typeof import('~icons/tabler/camera-check.jsx')['default']
  const IconTablerCameraDown: typeof import('~icons/tabler/camera-down.jsx')['default']
  const IconTablerCarCrane: typeof import('~icons/tabler/car-crane.jsx')['default']
  const IconTablerCaravan: typeof import('~icons/tabler/caravan.jsx')['default']
  const IconTablerCheck: typeof import('~icons/tabler/check.jsx')['default']
  const IconTablerChess: typeof import('~icons/tabler/chess.jsx')['default']
  const IconTablerChevronDown: typeof import('~icons/tabler/chevron-down.jsx')['default']
  const IconTablerChevronLeft: typeof import('~icons/tabler/chevron-left.jsx')['default']
  const IconTablerChevronRight: typeof import('~icons/tabler/chevron-right.jsx')['default']
  const IconTablerCircle: typeof import('~icons/tabler/circle.jsx')['default']
  const IconTablerCircleDotted: typeof import('~icons/tabler/circle-dotted.jsx')['default']
  const IconTablerClock: typeof import('~icons/tabler/clock.jsx')['default']
  const IconTablerCloudDownload: typeof import('~icons/tabler/cloud-download.jsx')['default']
  const IconTablerColorSwatch: typeof import('~icons/tabler/color-swatch.jsx')['default']
  const IconTablerColumns3: typeof import('~icons/tabler/columns3.jsx')['default']
  const IconTablerCurlyLoop: typeof import('~icons/tabler/curly-loop.jsx')['default']
  const IconTablerCursorText: typeof import('~icons/tabler/cursor-text.jsx')['default']
  const IconTablerDecimal: typeof import('~icons/tabler/decimal.jsx')['default']
  const IconTablerDeviceFloppy: typeof import('~icons/tabler/device-floppy.jsx')['default']
  const IconTablerDoorExit: typeof import('~icons/tabler/door-exit.jsx')['default']
  const IconTablerDownload: typeof import('~icons/tabler/download.jsx')['default']
  const IconTablerEaseOut: typeof import('~icons/tabler/ease-out.jsx')['default']
  const IconTablerEdit: typeof import('~icons/tabler/edit.jsx')['default']
  const IconTablerEraser: typeof import('~icons/tabler/eraser.jsx')['default']
  const IconTablerExclamationCircle: typeof import('~icons/tabler/exclamation-circle.jsx')['default']
  const IconTablerEye: typeof import('~icons/tabler/eye.jsx')['default']
  const IconTablerEyeOff: typeof import('~icons/tabler/eye-off.jsx')['default']
  const IconTablerFileDownload: typeof import('~icons/tabler/file-download.jsx')['default']
  const IconTablerFileImport: typeof import('~icons/tabler/file-import.jsx')['default']
  const IconTablerFilePlus: typeof import('~icons/tabler/file-plus.jsx')['default']
  const IconTablerFileSpreadsheet: typeof import('~icons/tabler/file-spreadsheet.jsx')['default']
  const IconTablerFileText: typeof import('~icons/tabler/file-text.jsx')['default']
  const IconTablerFileZip: typeof import('~icons/tabler/file-zip.jsx')['default']
  const IconTablerFiles: typeof import('~icons/tabler/files.jsx')['default']
  const IconTablerFolders: typeof import('~icons/tabler/folders.jsx')['default']
  const IconTablerHammer: typeof import('~icons/tabler/hammer.jsx')['default']
  const IconTablerHandOff: typeof import('~icons/tabler/hand-off.jsx')['default']
  const IconTablerHandStop: typeof import('~icons/tabler/hand-stop.jsx')['default']
  const IconTablerHome: typeof import('~icons/tabler/home.jsx')['default']
  const IconTablerIdBadge: typeof import('~icons/tabler/id-badge.jsx')['default']
  const IconTablerIdBadge2: typeof import('~icons/tabler/id-badge2.jsx')['default']
  const IconTablerInfoCircle: typeof import('~icons/tabler/info-circle.jsx')['default']
  const IconTablerLayout2: typeof import('~icons/tabler/layout2.jsx')['default']
  const IconTablerLayoutList: typeof import('~icons/tabler/layout-list.jsx')['default']
  const IconTablerList: typeof import('~icons/tabler/list.jsx')['default']
  const IconTablerListDetails: typeof import('~icons/tabler/list-details.jsx')['default']
  const IconTablerListNumbers: typeof import('~icons/tabler/list-numbers.jsx')['default']
  const IconTablerListSearch: typeof import('~icons/tabler/list-search.jsx')['default']
  const IconTablerLock: typeof import('~icons/tabler/lock.jsx')['default']
  const IconTablerLockOpen: typeof import('~icons/tabler/lock-open.jsx')['default']
  const IconTablerMap: typeof import('~icons/tabler/map.jsx')['default']
  const IconTablerMinus: typeof import('~icons/tabler/minus.jsx')['default']
  const IconTablerPercentage: typeof import('~icons/tabler/percentage.jsx')['default']
  const IconTablerPhoto: typeof import('~icons/tabler/photo.jsx')['default']
  const IconTablerPlayerPlay: typeof import('~icons/tabler/player-play.jsx')['default']
  const IconTablerPlus: typeof import('~icons/tabler/plus.jsx')['default']
  const IconTablerRainbow: typeof import('~icons/tabler/rainbow.jsx')['default']
  const IconTablerRuler2: typeof import('~icons/tabler/ruler2.jsx')['default']
  const IconTablerSelector: typeof import('~icons/tabler/selector.jsx')['default']
  const IconTablerSettings: typeof import('~icons/tabler/settings.jsx')['default']
  const IconTablerShare: typeof import('~icons/tabler/share.jsx')['default']
  const IconTablerSlideshow: typeof import('~icons/tabler/slideshow.jsx')['default']
  const IconTablerSum: typeof import('~icons/tabler/sum.jsx')['default']
  const IconTablerTable: typeof import('~icons/tabler/table.jsx')['default']
  const IconTablerTemperature: typeof import('~icons/tabler/temperature.jsx')['default']
  const IconTablerTrash: typeof import('~icons/tabler/trash.jsx')['default']
  const IconTablerWeight: typeof import('~icons/tabler/weight.jsx')['default']
  const IconTablerX: typeof import('~icons/tabler/x.jsx')['default']
  const IconTablerZoomIn: typeof import('~icons/tabler/zoom-in.jsx')['default']
  const Index: typeof import('solid-js')['Index']
  const Link: typeof import('@solidjs/router')['Link']
  const Match: typeof import('solid-js')['Match']
  const NavLink: typeof import('@solidjs/router')['NavLink']
  const Navigate: typeof import('@solidjs/router')['Navigate']
  const Outlet: typeof import('@solidjs/router')['Outlet']
  const Portal: typeof import('solid-js/web')['Portal']
  const Route: typeof import('@solidjs/router')['Route']
  const Router: typeof import('@solidjs/router')['Router']
  const Routes: typeof import('@solidjs/router')['Routes']
  const Show: typeof import('solid-js')['Show']
  const Suspense: typeof import('solid-js')['Suspense']
  const SuspenseList: typeof import('solid-js')['SuspenseList']
  const Switch: typeof import('solid-js')['Switch']
  const _mergeSearchString: typeof import('@solidjs/router')['_mergeSearchString']
  const batch: typeof import('solid-js')['batch']
  const children: typeof import('solid-js')['children']
  const createContext: typeof import('solid-js')['createContext']
  const createDeferred: typeof import('solid-js')['createDeferred']
  const createEffect: typeof import('solid-js')['createEffect']
  const createIntegration: typeof import('@solidjs/router')['createIntegration']
  const createMemo: typeof import('solid-js')['createMemo']
  const createMutable: typeof import('solid-js/store')['createMutable']
  const createRenderEffect: typeof import('solid-js')['createRenderEffect']
  const createResource: typeof import('solid-js')['createResource']
  const createRoot: typeof import('solid-js')['createRoot']
  const createSelector: typeof import('solid-js')['createSelector']
  const createSignal: typeof import('solid-js')['createSignal']
  const createStore: typeof import('solid-js/store')['createStore']
  const hashIntegration: typeof import('@solidjs/router')['hashIntegration']
  const hydrate: typeof import('solid-js/web')['hydrate']
  const indexArray: typeof import('solid-js')['indexArray']
  const isServer: typeof import('solid-js/web')['isServer']
  const lazy: typeof import('solid-js')['lazy']
  const mapArray: typeof import('solid-js')['mapArray']
  const mergeProps: typeof import('solid-js')['mergeProps']
  const normalizeIntegration: typeof import('@solidjs/router')['normalizeIntegration']
  const observable: typeof import('solid-js')['observable']
  const on: typeof import('solid-js')['on']
  const onCleanup: typeof import('solid-js')['onCleanup']
  const onError: typeof import('solid-js')['onError']
  const onMount: typeof import('solid-js')['onMount']
  const pathIntegration: typeof import('@solidjs/router')['pathIntegration']
  const produce: typeof import('solid-js/store')['produce']
  const reconcile: typeof import('solid-js/store')['reconcile']
  const render: typeof import('solid-js/web')['render']
  const renderToStream: typeof import('solid-js/web')['renderToStream']
  const renderToString: typeof import('solid-js/web')['renderToString']
  const renderToStringAsync: typeof import('solid-js/web')['renderToStringAsync']
  const splitProps: typeof import('solid-js')['splitProps']
  const staticIntegration: typeof import('@solidjs/router')['staticIntegration']
  const untrack: typeof import('solid-js')['untrack']
  const useContext: typeof import('solid-js')['useContext']
  const useHref: typeof import('@solidjs/router')['useHref']
  const useIsRouting: typeof import('@solidjs/router')['useIsRouting']
  const useLocation: typeof import('@solidjs/router')['useLocation']
  const useMatch: typeof import('@solidjs/router')['useMatch']
  const useNavigate: typeof import('@solidjs/router')['useNavigate']
  const useParams: typeof import('@solidjs/router')['useParams']
  const useResolvedPath: typeof import('@solidjs/router')['useResolvedPath']
  const useRouteData: typeof import('@solidjs/router')['useRouteData']
  const useRoutes: typeof import('@solidjs/router')['useRoutes']
  const useSearchParams: typeof import('@solidjs/router')['useSearchParams']
  const useTransition: typeof import('solid-js')['useTransition']
}
